__copyright__ = "Copyright (c) 2016 CollabNet, Inc. All rights reserved."

import os
from app.scripts import BaseOptionScript

class OptionScript(BaseOptionScript):

    def optionSnippet(self):
        tokens = {}

        tokens['ACTIONHUB_LOG_DIR'] = os.path.join(self.cfg['LOG_DIR'], "actionhub")

        if "redhat-7" in self.cfg["PLATFORM"]:
            tokens['ACTIONHUB_SERVICE_CMD'] = "/opt/collabnet/teamforge/runtime/scripts/tfsystemd gerrit"
        else:
            tokens['ACTIONHUB_SERVICE_CMD'] = "/etc/init.d/actionhub"

        tokens["ACTIONHUB_USER"] = "actionhub"
        tokens["ACTIONHUB_USER_HOME"] = "/opt/collabnet/actionhub"

        return "\n".join(["%s=%s" % (k, v) for k,v in tokens.iteritems()])
