import app.servicecontrol
from app.pgdbadmin import PGCTFDBManager

class ServiceController(app.servicecontrol.ServiceController):
    def isBootstrapped(self):
        cfg = app.util.getRuntimeConfiguration()
        db = PGCTFDBManager(
            cfg.get('ACTIONHUB_DATABASE_NAME'),
            cfg.get('ACTIONHUB_DATABASE_USER'),
            cfg.get('ACTIONHUB_DATABASE_PASSWORD'),
            None,
            None,
            self.logger,
            cfg.get('actionhub-database/bind/jdbc/port'),
            cfg.get('actionhub-database/bind/jdbc/host'),
            None)

        return db.isDatabaseExisting()
