__copyright__ = "Copyright (c) 2017 CollabNet, Inc. All rights reserved."

import os
from app.scripts import BaseCreateRuntimeScript

import sys
import os
import platform
import app.util

class CreateRuntimeScript(BaseCreateRuntimeScript):

    scriptDescription = "Generate the environment file for ActionHub."

    def createRuntime(self):
        javaHome = self.cfg.get('JAVA_HOME');
        directory = '/opt/collabnet/teamforge/service/actionhub/etc/';
        if not os.path.exists(directory):
                os.makedirs(directory)
        f = open(directory + 'ah.env', 'w');
        f.write('JAVA_HOME=' + javaHome);
        f.close();


